Bug 135079 - CAN-2004-0688 integer overflows in libXpm (CAN-2004-0914)
Summary: CAN-2004-0688 integer overflows in libXpm (CAN-2004-0914)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: lesstif   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard: impact=moderate,public=20040915
Keywords: Security
Depends On:
Blocks: CVE-2004-0688 CVE-2004-0914
TreeView+ depends on / blocked
 
Reported: 2004-10-08 14:58 UTC by Josh Bressers
Modified: 2008-01-28 16:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 18:44:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:004 normal SHIPPED_LIVE Moderate: lesstif security update 2005-01-12 05:00:00 UTC

Description Josh Bressers 2004-10-08 14:58:07 UTC
Multiple integer overflows in xpmParseColors in parse.c for libXpm
before 6.8.1 allow remote attackers to execute arbitrary code via a
malformed XPM image file.

This library itself is contained in lesstif.

RHEL3 does not contain lesstif, therefore is not affected by this issue.

Comment 1 Mark J. Cox 2004-11-19 12:37:07 UTC
Also see CAN-2004-0914 additional issues which were embargoed until Nov17

Comment 2 Josh Bressers 2005-01-12 18:44:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-004.html



Note You need to log in before you can comment on or make changes to this bug.